<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionImageCopyBlockCreateImageCopyBlockFields extends Migration
{

    /**
     * The addon fields.
     *
     * @var array
     */
    protected $fields = [
        'content'  => [
            'en'     => [
                'name' => 'Content',
            ],
            'type'   => 'anomaly.field_type.wysiwyg',
            'config' => [
                'configuration' => 'basic',
            ],
        ],
        'image'    => [
            'en'   => [
                'name' => 'Image',
            ],
            'type' => 'anomaly.field_type.image',
        ],
        'position' => [
            'en'     => [
                'name' => 'Position',
            ],
            'type'   => 'anomaly.field_type.select',
            'config' => [
                'options' => [
                    'left'  => 'Left',
                    'right' => 'Right',
                ],
            ],
        ],
    ];

}
