<?php

use Anomaly\Streams\Platform\Database\Migration\Migration;

class TerrostarExtensionImageCopyBlockCreateBlocksStream extends Migration
{

    /**
     * The stream definition.
     *
     * @var array
     */
    protected $stream = [
        'slug' => 'blocks',
    ];

    /**
     * The stream assignments.
     *
     * @var array
     */
    protected $assignments = [
        'image'    => [
            'required' => true,
            'config'   => [
                'aspect_ratio' => '1:1',
            ],
        ],
        'position' => [
            'required' => true,
        ],
        'content'  => [
            'required' => true,
        ],
    ];

}
